Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class AbstractRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer

All Implemented Interfaces:
  Renderer

Direct Known Subclasses:
  OnTheFlyRenderer, PapariTextRenderer, SummaryHTMLRenderer, YAHTMLRenderer

    public abstract class AbstractRenderer

extends java.lang.Object
implements Renderer

Field Summary
`protected boolean` | `showSuppressedViolations`

Constructor Summary
`AbstractRenderer()`

Method Summary
`void` | `end()`
`java.io.Writer` | `getWriter()`
`java.lang.String` | `render(Report report)`
`void` | `renderFileReport(Report report)`
`void` | `setWriter(java.io.Writer writer)`
`void` | `showSuppressedViolations(boolean show)`
`void` | `start()`
`void` | `startFileAnalysis(DataSource dataSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.renderers.Renderer
`render`

Field Detail

### showSuppressedViolations

    protected boolean showSuppressedViolations

Constructor Detail

### AbstractRenderer

    public AbstractRenderer()

Method Detail

### showSuppressedViolations

    public void showSuppressedViolations(boolean show)

  Specified by:
    `showSuppressedViolations` in interface `Renderer`

### render

    public java.lang.String render(Report report)

  Specified by:
    `render` in interface `Renderer`

### setWriter

    public void setWriter(java.io.Writer writer)

  Specified by:
    `setWriter` in interface `Renderer`

### getWriter

    public java.io.Writer getWriter()

  Specified by:
    `getWriter` in interface `Renderer`

### start

    public void start()
               throws java.io.IOException

  Specified by:
    `start` in interface `Renderer`
  Throws:
    `java.io.IOException`

### startFileAnalysis

    public void startFileAnalysis(DataSource dataSource)

  Specified by:
    `startFileAnalysis` in interface `Renderer`

### renderFileReport

    public void renderFileReport(Report report)
                          throws java.io.IOException

  Specified by:
    `renderFileReport` in interface `Renderer`
  Throws:
    `java.io.IOException`

### end

    public void end()
             throws java.io.IOException

  Specified by:
    `end` in interface `Renderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.